> Documentation index: https://docs.scrapier.io/llms.txt
> Auth: header `X-API-Key: <key>` · Base: https://api.scrapier.io/api/v2 · Synchronous; paginate with `cursor` ← `data.next_cursor`.

# Zillow API

Scrapier endpoints for Zillow: Zillow Property Detail, Zillow Search.

2 endpoints · 1 credit / successful call · All Zillow endpoints in one file: https://docs.scrapier.io/llms-zillow.txt

## Quickstart

### Zillow Search

```bash
curl -G "https://api.scrapier.io/api/v2/zillow-search/" \
  -H "X-API-Key: YOUR_API_KEY" \
  --data-urlencode "url=https://www.zillow.com/homes/for_sale/?searchQueryState=%7B%22isMapVisible%22%3Atrue%2C%22mapBounds%22%3A%7B%22west%22%3A-124.61%2C%22east%22%3A-120.37%2C%22south%22%3A36.71%2C%22north%22%3A38.74%7D%2C%22filterState%22%3A%7B%22sort%22%3A%7B%22value%22%3A%22days%22%7D%7D%2C%22isListVisible%22%3Atrue%7D" \
  --max-time 210
```

## Endpoints

| Endpoint | Path | Pagination | Credits | Needs cookie |
|---|---|---|---|---|
| [Zillow Property Detail](https://docs.scrapier.io/api-reference/zillow/zillow-detail.md) | `/zillow-detail/` | single | 1 | no |
| [Zillow Search](https://docs.scrapier.io/api-reference/zillow/zillow-search.md) | `/zillow-search/` | cursor | 1 | no |
